package com.diagbot.facade.data;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;
import com.diagbot.dto.data.ColumnZhAndChDTO;
import com.diagbot.entity.MedConsultationNote;
import com.diagbot.entity.MedConsultationRecord;
import com.diagbot.service.impl.MedConsultationRecordServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.EntityUtil;
import com.diagbot.util.MapUtil;
import com.diagbot.vo.AMedConsultationRecordVO;
import com.diagbot.vo.data.AMedConsultationNoteVO;
import com.diagbot.vo.data.AMedConsultationResultVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;
@Component
public class AMedConsultationRecordFacade extends MedConsultationRecordServiceImpl {


    @Autowired
    private ColumnFacade columnFacade;
    @Autowired
    private AMedAbnormalInfoFacade aMedAbnormalInfoFacade;

    public void getColumnZhAndCh(){
        List<ColumnZhAndChDTO> list=this.baseMapper.getColumnZhAndCh();
        list.forEach(s->{
            s.setEn(NamingStrategy.underlineToCamel(s.getEn()));
        });

        Map<String, String> columnMap= EntityUtil.makeMapWithKeyValue(list,"ch","en");
        Boolean flag=columnFacade.createColumn(columnMap,"medConsultationRecord");

        //Map<String, String> map=columnFacade.getColumn("medConsultationNote");
        if(!flag){
            return;
        }
    }

    //会诊记录
    public void dealData(String columnMap,Map<String, Object> entityMap,Long hospitalId){
        MedConsultationRecord medConsultationRecord=new MedConsultationRecord();
        try {
            AMedConsultationRecordVO aMedConsultationRecordVO=(AMedConsultationRecordVO) MapUtil.mapToObject(entityMap, AMedConsultationRecordVO.class);
            BeanUtils.copyProperties(aMedConsultationRecordVO,medConsultationRecord);
            medConsultationRecord.setHospitalId(hospitalId);//医院编码

            medConsultationRecord.setRecordDate(DateUtil.parseDateTime(aMedConsultationRecordVO.getRecordDate()));//病历日期recordDate
            medConsultationRecord.setBehospitalDate(DateUtil.parseDateTime(aMedConsultationRecordVO.getBehospitalDate()));//入院日期behospital_date
            medConsultationRecord.setApplyDate(DateUtil.parseDateTime(aMedConsultationRecordVO.getApplyDate()));//申请日期apply_date
            medConsultationRecord.setConsultationDate(DateUtil.parseDate(aMedConsultationRecordVO.getConsultationArriveDate()));//会诊时间consultation_date
            medConsultationRecord.setRecDate(DateUtil.parseDateTime(aMedConsultationRecordVO.getRecDate()));//记录时间rec_date
            medConsultationRecord.setAuditDate(DateUtil.parseDateTime(aMedConsultationRecordVO.getAuditDate()));//审核时间audit_date

            medConsultationRecord.setWholeData(columnMap);
            //判断数据库中是否存在，不存在insert
            if(isExist(medConsultationRecord)){
                medConsultationRecord.setGmtCreate(new Date());//记录创建时间
                this.save(medConsultationRecord);
            }else{
                medConsultationRecord.setGmtModified(new Date());//记录修改时间
                this.update(medConsultationRecord,new QueryWrapper<MedConsultationRecord>()
                        .eq("rec_id", medConsultationRecord.getRecId())
                        .eq("hospital_id", medConsultationRecord.getHospitalId())
                        .eq("behospital_code", medConsultationRecord.getBehospitalCode()));
            }

        }catch (Exception e){
            log.error(e.getMessage(),e);
            aMedAbnormalInfoFacade.saveAbnormalInfo("会诊记录）",medConsultationRecord.getRecId(), JSON.toJSONString(entityMap),"",e.getMessage());
        }

    }

    public Boolean isExist(MedConsultationRecord medConsultationRecord){
        Boolean flag=true;
        int count = this.baseMapper.selectCount(new QueryWrapper<MedConsultationRecord>()
                .eq("rec_id", medConsultationRecord.getRecId())
                .eq("hospital_id", medConsultationRecord.getHospitalId())
                .eq("behospital_code", medConsultationRecord.getBehospitalCode()));
        if(count>0){
            flag=false;
        }
        return flag;
    }
}
